apiVersion: v1
kind: Service
metadata:
  name: {{ .Release.Name }}
  annotations:
    metallb.universe.tf/address-pool: "internal"
    external-dns.alpha.kubernetes.io/hostname: {{ .Release.Name }}.reeseapps.com
spec:
  type: LoadBalancer
  ipFamilies: ["IPv6"]
  selector:
    app.kubernetes.io/name: iperf
  ports:
  - name: iperf
    protocol: TCP
    port: 5201
    targetPort: iperf
